ValueError in Bandwidth Monitor: unable to parse colour specification

Bug #534061 reported by sonicuaw@gmail.com on 2010-03-07
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Awn Extras
Medium
Kyle L. Huff

Bug Description

Ubuntu 8.10 - Intrepid Ibex
------------------------------------------------------------------------------------------
[Got the install information from 9http://www.webupd8.org/2009/10/avant-window-navigator-awn-04-available.html)]

sudo bash -c "echo 'deb http://ppa.launchpad.net/awn-testing/ppa/ubuntu ubuntu_version main' >> /etc/apt/sources.list"
sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys BF810CD5

and

sudo apt-get install python-awn-trunk python-awn-extras-trunk awn-applets-python-extras-trunk awn-applets-c-extras-trunk
------------------------------------------------------------------------------------------
GNOME Desktop: ver: 2.24.1; build date: 10/24/2008
------------------------------------------------------------------------------------------
Video card: Radeon Mobility M7 LW [Radeon Mobility 7500]; driver: radeon (the one that comes with Ubuntu default install)
------------------------------------------------------------------------------------------
Traceback (most recent call last):
  File "/var/lib/python-support/python2.5/awn/extras/awnlib.py", line 1462, in init_start
    applet_class(applet)
  File "/usr/share/avant-window-navigator/applets/bandwidth-monitor/awn-bwm.py", line 297, in __init__
    self.prefs.setup()
  File "/usr/share/avant-window-navigator/applets/bandwidth-monitor/bwmprefs.py", line 65, in setup
    bgColorbutton.set_color(gtk.gdk.color_parse(bgColor))
ValueError: unable to parse colour specification

description: updated
Michal Hruby (mhr3) on 2010-03-08
Changed in awn-extras:
assignee: nobody → Kyle L. Huff (kylehuff)
Kyle L. Huff (kylehuff) wrote :

Hmm.. I am so far unable to reproduce this on a clean ubuntu install following the installation steps in your bug report..

Can you provide me with the following info please?

Version of Python and the output of this command:

python -c '''import gtk
print "gtk.ver:\t\t", gtk.ver
print "gtk.gtk_version:\t", gtk.gtk_version
print "gtk.pygtk_version:\t", gtk.pygtk_version
print type(gtk.gdk.color_parse("#ffffffffffff"))
print type(gtk.gdk.color_parse("#fffffffff"))
print type(gtk.gdk.color_parse("#ffffff"))
print type(gtk.gdk.color_parse("#fff"))
'''

and also could you attach the file "~/.gconf/apps/awn-applet-bandwidth-monitor/%gconf.xml" (assuming that you are using the gconf backend for settings..)

Thanks

  • %gconf.xml Edit (1.2 KiB, text/xml; charset=US-ASCII; name="%gconf.xml")
Download full text (3.2 KiB)

Here is the information you requested:

gtk.ver: (2, 15, 3)
gtk.gtk_version: (2, 14, 4)
gtk.pygtk_version: (2, 13, 0)
<type 'gtk.gdk.Color'>
<type 'gtk.gdk.Color'>
<type 'gtk.gdk.Color'>
<type 'gtk.gdk.Color'>

and the file you requested, see attachment. (found:
/home/sonicu/.gconf/apps/awn-applet-bandwidth-monitor)

How would I know that 'gconf backend' is installed, besides going to
Synaptic Package Manager. I found it listed in SPM under 'gconf2'.

On Mon, Mar 8, 2010 at 10:07 AM, Kyle L. Huff <email address hidden>wrote:

> Hmm.. I am so far unable to reproduce this on a clean ubuntu install
> following the installation steps in your bug report..
>
> Can you provide me with the following info please?
>
> Version of Python and the output of this command:
>
> python -c '''import gtk
> print "gtk.ver:\t\t", gtk.ver
> print "gtk.gtk_version:\t", gtk.gtk_version
> print "gtk.pygtk_version:\t", gtk.pygtk_version
> print type(gtk.gdk.color_parse("#ffffffffffff"))
> print type(gtk.gdk.color_parse("#fffffffff"))
> print type(gtk.gdk.color_parse("#ffffff"))
> print type(gtk.gdk.color_parse("#fff"))
> '''
>
> and also could you attach the file "~/.gconf/apps/awn-applet-bandwidth-
> monitor/%gconf.xml" (assuming that you are using the gconf backend for
> settings..)
>
> Thanks
>
> --
> ValueError in Bandwidth Monitor: unable to parse colour specification
> https://bugs.launchpad.net/bugs/534061
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Awn Extras: New
>
> Bug description:
> Ubuntu 8.10 - Intrepid Ibex
>
> ------------------------------------------------------------------------------------------
> [Got the install information from 9
> http://www.webupd8.org/2009/10/avant-window-navigator-awn-04-available.html
> )]
>
> sudo bash -c "echo 'deb http://ppa.launchpad.net/awn-testing/ppa/ubuntuubuntu_version main' >> /etc/apt/sources.list"
> sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys BF810CD5
>
> and
>
> sudo apt-get install python-awn-trunk python-awn-extras-trunk
> awn-applets-python-extras-trunk awn-applets-c-extras-trunk
>
> ------------------------------------------------------------------------------------------
> GNOME Desktop: ver: 2.24.1; build date: 10/24/2008
>
> ------------------------------------------------------------------------------------------
> Video card: Radeon Mobility M7 LW [Radeon Mobility 7500]; driver: radeon
> (the one that comes with Ubuntu default install)
>
> ------------------------------------------------------------------------------------------
> Traceback (most recent call last):
> File "/var/lib/python-support/python2.5/awn/extras/awnlib.py", line 1462,
> in init_start
> applet_class(applet)
> File
> "/usr/share/avant-window-navigator/applets/bandwidth-monitor/awn-bwm.py",
> line 297, in __init__
> self.prefs.setup()
> File
> "/usr/share/avant-window-navigator/applets/bandwidth-monitor/bwmprefs.py",
> line 65, in setup
> bgColorbutton.set_color(gtk.gdk.color_parse(bgColor))
> ValueError: unable to parse colour specification
>
>
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/awn-extras...

Read more...

Kyle L. Huff (kylehuff) wrote :

'gconf backend' just means, that AWN is using gconf to store the settings, which, it looks like it is, as there are values in the %gconf.xml file.

Which, I think I have found the problem. In the %gconf.xml file there is value that is messed up somehow, so the fix for you is easy.. the hard part is to find out how this incorrect value ended up in the config at all..

The line that says "<stringvalue><GdkColor at 0x94664d0>|0.5</stringvalue>" is bad.. to fix it, perform these steps;

Press ALT+F2 to open the Run Dialog, and type 'gconf-editor' and press enter.
In the gconf-editor, navigate to /apps/awn-applet-bandwidth-monitor/ and in there should be key 'background_color', double click on it and change it to "#000000000000|0.5", then click OK, and you can close gconf-editor.

After that, it should load normally.. I will don't know how or why that value got set to what it is now, but I will do some testing and try to re-produce it..

sonicuaw@gmail.com (sonicuaw) wrote :
Download full text (3.2 KiB)

Kyle,

Thanks for your help, that fixed it. The only thing that you might want to
try is that i think I used the color eyedropper tool and click on the screen
that lead to this error. Sorry, I did not suggest this earlier.

Anthony

On Tue, Mar 9, 2010 at 1:31 PM, Kyle L. Huff <email address hidden>wrote:

> 'gconf backend' just means, that AWN is using gconf to store the
> settings, which, it looks like it is, as there are values in the
> %gconf.xml file.
>
> Which, I think I have found the problem. In the %gconf.xml file there is
> value that is messed up somehow, so the fix for you is easy.. the hard
> part is to find out how this incorrect value ended up in the config at
> all..
>
> The line that says "<stringvalue><GdkColor at
> 0x94664d0>|0.5</stringvalue>" is bad.. to fix it, perform these steps;
>
> Press ALT+F2 to open the Run Dialog, and type 'gconf-editor' and press
> enter.
> In the gconf-editor, navigate to /apps/awn-applet-bandwidth-monitor/ and in
> there should be key 'background_color', double click on it and change it to
> "#000000000000|0.5", then click OK, and you can close gconf-editor.
>
> After that, it should load normally.. I will don't know how or why that
> value got set to what it is now, but I will do some testing and try to
> re-produce it..
>
> --
> ValueError in Bandwidth Monitor: unable to parse colour specification
> https://bugs.launchpad.net/bugs/534061
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Awn Extras: New
>
> Bug description:
> Ubuntu 8.10 - Intrepid Ibex
>
> ------------------------------------------------------------------------------------------
> [Got the install information from 9
> http://www.webupd8.org/2009/10/avant-window-navigator-awn-04-available.html
> )]
>
> sudo bash -c "echo 'deb http://ppa.launchpad.net/awn-testing/ppa/ubuntuubuntu_version main' >> /etc/apt/sources.list"
> sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys BF810CD5
>
> and
>
> sudo apt-get install python-awn-trunk python-awn-extras-trunk
> awn-applets-python-extras-trunk awn-applets-c-extras-trunk
>
> ------------------------------------------------------------------------------------------
> GNOME Desktop: ver: 2.24.1; build date: 10/24/2008
>
> ------------------------------------------------------------------------------------------
> Video card: Radeon Mobility M7 LW [Radeon Mobility 7500]; driver: radeon
> (the one that comes with Ubuntu default install)
>
> ------------------------------------------------------------------------------------------
> Traceback (most recent call last):
> File "/var/lib/python-support/python2.5/awn/extras/awnlib.py", line 1462,
> in init_start
> applet_class(applet)
> File
> "/usr/share/avant-window-navigator/applets/bandwidth-monitor/awn-bwm.py",
> line 297, in __init__
> self.prefs.setup()
> File
> "/usr/share/avant-window-navigator/applets/bandwidth-monitor/bwmprefs.py",
> line 65, in setup
> bgColorbutton.set_color(gtk.gdk.color_parse(bgColor))
> ValueError: unable to parse colour specification
>
>
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/awn-extras/+bug/5340...

Read more...

Kyle L. Huff (kylehuff) wrote :

Great news! I am glad it is working now. If you don't mind, I would like to continue testing with your system if possible.

Could you perform a few test for me? Below is another command; which when run, will display the color dialog from the applet. If you could perform the following steps and provide me with the output I would greatly appreciate it.

(the command below will display the preference window for the applet, but none of the changes you make here will be saved, none of the options are connected to anything, this is just to test the behavior of the eye-dropper with your particular combination of GTK and friends.)

Run this from a terminal (you should be able to copy-paste):

cd /usr/share/avant-window-navigator/applets/bandwidth-monitor/

python -c """import gtk

win = gtk.Window()
win.set_title('Colour Parse Test - bug 534061')
prefs_box = gtk.VBox()
win.add(prefs_box)
prefs_ui = gtk.Builder()
prefs_ui.add_from_file('bandwidth-monitor.ui')
prefs_ui.get_object('dialog-notebook').reparent(prefs_box)
bgColorbutton = prefs_ui.get_object('bgColorbutton')
def bgColorbutton_color_set_cb(widget):
    color = widget.get_color()
    alpha = float('%2.1f' % (widget.get_alpha() / 65535.0))
    print '---------'
    print 'color object:', color
    print 'object string:', str(color)
    print 'type:', type(color)
    print 'alpha:', alpha
    print '---------'
    return
bgColorbutton.connect('color-set', bgColorbutton_color_set_cb)
def close(*args):
    print 'Exiting normally'
    exit()
prefs_ui.get_object('dialog-notebook').connect('destroy', close)
win.show_all()
gtk.main()
"""

With that open, first click on the background color button and select a color using the color-wheel, then press 'OK'. Next, click on the background color button again, and this time use the eye-dropper to select some other color, and press 'OK', now just close the preference window and post back here the output.

Thanks!
Kyle

Kyle L. Huff (kylehuff) wrote :

Well, I lied; some of the options are connected, I intended to say that none of the color options are connected to anything..

sonicuaw@gmail.com (sonicuaw) wrote :
Download full text (4.4 KiB)

Kyle,

Here is the output:

-c:8: GtkWarning: Unknown property: GtkVBox.orientation
-c:8: GtkWarning: Unknown property: GtkSpinButton.caps-lock-warning
---------
color object: <GdkColor at 0x9049410>
object string: <GdkColor at 0x9049410>
type: <type 'gtk.gdk.Color'>
alpha: 0.5
---------
Exiting normally
xxxxxxx@xxxxxxxxxxx
:/usr/share/avant-window-navigator/applets/bandwidth-monitor$

Sure no problem, willing to help in any way I can.

Anthony

On Fri, Mar 12, 2010 at 5:01 AM, Kyle L. Huff <email address hidden>wrote:

> Great news! I am glad it is working now. If you don't mind, I would like
> to continue testing with your system if possible.
>
> Could you perform a few test for me? Below is another command; which
> when run, will display the color dialog from the applet. If you could
> perform the following steps and provide me with the output I would
> greatly appreciate it.
>
> (the command below will display the preference window for the applet,
> but none of the changes you make here will be saved, none of the options
> are connected to anything, this is just to test the behavior of the eye-
> dropper with your particular combination of GTK and friends.)
>
> Run this from a terminal (you should be able to copy-paste):
>
> cd /usr/share/avant-window-navigator/applets/bandwidth-monitor/
>
> python -c """import gtk
>
> win = gtk.Window()
> win.set_title('Colour Parse Test - bug 534061')
> prefs_box = gtk.VBox()
> win.add(prefs_box)
> prefs_ui = gtk.Builder()
> prefs_ui.add_from_file('bandwidth-monitor.ui')
> prefs_ui.get_object('dialog-notebook').reparent(prefs_box)
> bgColorbutton = prefs_ui.get_object('bgColorbutton')
> def bgColorbutton_color_set_cb(widget):
> color = widget.get_color()
> alpha = float('%2.1f' % (widget.get_alpha() / 65535.0))
> print '---------'
> print 'color object:', color
> print 'object string:', str(color)
> print 'type:', type(color)
> print 'alpha:', alpha
> print '---------'
> return
> bgColorbutton.connect('color-set', bgColorbutton_color_set_cb)
> def close(*args):
> print 'Exiting normally'
> exit()
> prefs_ui.get_object('dialog-notebook').connect('destroy', close)
> win.show_all()
> gtk.main()
> """
>
> With that open, first click on the background color button and select a
> color using the color-wheel, then press 'OK'. Next, click on the
> background color button again, and this time use the eye-dropper to
> select some other color, and press 'OK', now just close the preference
> window and post back here the output.
>
> Thanks!
> Kyle
>
> --
> ValueError in Bandwidth Monitor: unable to parse colour specification
> https://bugs.launchpad.net/bugs/534061
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Awn Extras: New
>
> Bug description:
> Ubuntu 8.10 - Intrepid Ibex
>
> ------------------------------------------------------------------------------------------
> [Got the install information from 9
> http://www.webupd8.org/2009/10/avant-window-navigator-awn-04-available.html
> )]
>
> sudo bash -c "echo 'deb http://ppa.launchpad.net/awn-testing/ppa/ubuntuubuntu_version main' >> /etc/apt/sources.list"
> sudo apt-key a...

Read more...

sonicuaw@gmail.com (sonicuaw) wrote :

ok, I'll let it go this time. lol

On Fri, Mar 12, 2010 at 5:03 AM, Kyle L. Huff <email address hidden>wrote:

> Well, I lied; some of the options are connected, I intended to say that
> none of the color options are connected to anything..
>
> --
> ValueError in Bandwidth Monitor: unable to parse colour specification
> https://bugs.launchpad.net/bugs/534061
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Awn Extras: New
>
> Bug description:
> Ubuntu 8.10 - Intrepid Ibex
>
> ------------------------------------------------------------------------------------------
> [Got the install information from 9
> http://www.webupd8.org/2009/10/avant-window-navigator-awn-04-available.html
> )]
>
> sudo bash -c "echo 'deb http://ppa.launchpad.net/awn-testing/ppa/ubuntuubuntu_version main' >> /etc/apt/sources.list"
> sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys BF810CD5
>
> and
>
> sudo apt-get install python-awn-trunk python-awn-extras-trunk
> awn-applets-python-extras-trunk awn-applets-c-extras-trunk
>
> ------------------------------------------------------------------------------------------
> GNOME Desktop: ver: 2.24.1; build date: 10/24/2008
>
> ------------------------------------------------------------------------------------------
> Video card: Radeon Mobility M7 LW [Radeon Mobility 7500]; driver: radeon
> (the one that comes with Ubuntu default install)
>
> ------------------------------------------------------------------------------------------
> Traceback (most recent call last):
> File "/var/lib/python-support/python2.5/awn/extras/awnlib.py", line 1462,
> in init_start
> applet_class(applet)
> File
> "/usr/share/avant-window-navigator/applets/bandwidth-monitor/awn-bwm.py",
> line 297, in __init__
> self.prefs.setup()
> File
> "/usr/share/avant-window-navigator/applets/bandwidth-monitor/bwmprefs.py",
> line 65, in setup
> bgColorbutton.set_color(gtk.gdk.color_parse(bgColor))
> ValueError: unable to parse colour specification
>
>
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/awn-extras/+bug/534061/+subscribe
>

--
Anthony
<email address hidden>

Kyle L. Huff (kylehuff) wrote :

Okay, great.. I think the eye-dropper color selector widget from your particular installed version is returning a color object that does not return the color string unless you call 'to_string()', which I thought it was already doing, not sure why I am not (as it more concise). I have modified the in-line script to reflect this change; If you would be kind enough to test it and report back, I will fix the problem in the applet and then nobody else will run into this.

cd /usr/share/avant-window-navigator/applets/bandwidth-monitor/

python -c """import gtk

win = gtk.Window()
win.set_title('Colour Parse Test - bug 534061')
prefs_box = gtk.VBox()
win.add(prefs_box)
prefs_ui = gtk.Builder()
prefs_ui.add_from_file('bandwidth-monitor.ui')
prefs_ui.get_object('dialog-notebook').reparent(prefs_box)
bgColorbutton = prefs_ui.get_object('bgColorbutton')
def bgColorbutton_color_set_cb(widget):
    color = widget.get_color()
    alpha = float('%2.1f' % (widget.get_alpha() / 65535.0))
    print '---------'
    print 'color object:', color.to_string()
    print 'type:', type(color)
    print 'alpha:', alpha
    print '---------'
    return
bgColorbutton.connect('color-set', bgColorbutton_color_set_cb)
def close(*args):
    print 'Exiting normally'
    exit()
prefs_ui.get_object('dialog-notebook').connect('destroy', close)
win.show_all()
gtk.main()
"""

Thanks,
Kyle

Changed in awn-extras:
importance: Undecided → Medium
status: New → Confirmed
Kyle L. Huff (kylehuff) wrote :

Patch to fix color selection bug in bandwidth-monitor preferences.

Kyle L. Huff (kylehuff) on 2010-03-13
Changed in awn-extras:
status: Confirmed → Fix Committed
sonicuaw@gmail.com (sonicuaw) wrote :
Download full text (4.0 KiB)

Here is the output you have requested:

-c:8: GtkWarning: Unknown property: GtkVBox.orientation
-c:8: GtkWarning: Unknown property: GtkSpinButton.caps-lock-warning
---------
color object: #f0b0f3bb103f
type: <type 'gtk.gdk.Color'>
alpha: 0.5
---------
---------
color object: #979797979797
type: <type 'gtk.gdk.Color'>
alpha: 0.5
---------
Exiting normally
xxxxxx@xxxxxxxxxxxxx:/usr/share/avant-window-navigator/applets/bandwidth-monitor$

Reading the other emails sent, how do I apply patch file?

Anthony

On Sat, Mar 13, 2010 at 12:14 PM, Kyle L. Huff <email address hidden>wrote:

> Okay, great.. I think the eye-dropper color selector widget from your
> particular installed version is returning a color object that does not
> return the color string unless you call 'to_string()', which I thought
> it was already doing, not sure why I am not (as it more concise). I have
> modified the in-line script to reflect this change; If you would be kind
> enough to test it and report back, I will fix the problem in the applet
> and then nobody else will run into this.
>
> cd /usr/share/avant-window-navigator/applets/bandwidth-monitor/
>
> python -c """import gtk
>
> win = gtk.Window()
> win.set_title('Colour Parse Test - bug 534061')
> prefs_box = gtk.VBox()
> win.add(prefs_box)
> prefs_ui = gtk.Builder()
> prefs_ui.add_from_file('bandwidth-monitor.ui')
> prefs_ui.get_object('dialog-notebook').reparent(prefs_box)
> bgColorbutton = prefs_ui.get_object('bgColorbutton')
> def bgColorbutton_color_set_cb(widget):
> color = widget.get_color()
> alpha = float('%2.1f' % (widget.get_alpha() / 65535.0))
> print '---------'
> print 'color object:', color.to_string()
> print 'type:', type(color)
> print 'alpha:', alpha
> print '---------'
> return
> bgColorbutton.connect('color-set', bgColorbutton_color_set_cb)
> def close(*args):
> print 'Exiting normally'
> exit()
> prefs_ui.get_object('dialog-notebook').connect('destroy', close)
> win.show_all()
> gtk.main()
> """
>
>
> Thanks,
> Kyle
>
> ** Changed in: awn-extras
> Importance: Undecided => Medium
>
> ** Changed in: awn-extras
> Status: New => Confirmed
>
> --
> ValueError in Bandwidth Monitor: unable to parse colour specification
> https://bugs.launchpad.net/bugs/534061
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Awn Extras: Confirmed
>
> Bug description:
> Ubuntu 8.10 - Intrepid Ibex
>
> ------------------------------------------------------------------------------------------
> [Got the install information from 9
> http://www.webupd8.org/2009/10/avant-window-navigator-awn-04-available.html
> )]
>
> sudo bash -c "echo 'deb http://ppa.launchpad.net/awn-testing/ppa/ubuntuubuntu_version main' >> /etc/apt/sources.list"
> sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys BF810CD5
>
> and
>
> sudo apt-get install python-awn-trunk python-awn-extras-trunk
> awn-applets-python-extras-trunk awn-applets-c-extras-trunk
>
> ------------------------------------------------------------------------------------------
> GNOME Desktop: ver: 2.24.1; build date: 10/24/2008
>
> --------------------------------------------...

Read more...

Kyle L. Huff (kylehuff) wrote :

Great, thank you!

If you want to apply the patch, instructions are below; or you can wait until it comes through the ppa.

Directions to patch:

cd /tmp
wget http://launchpadlibrarian.net/40913628/awn-bwm_color_setting_fix.diff
sudo patch -i /tmp/awn-bwm_color_setting_fix.diff /usr/share/avant-window-navigator/applets/bandwidth-monitor/bwmprefs.py

Restart awn, and the color dropper should not cause an invalid/non parse-able value to be written to the configuration back-end anymore.

Thanks very much for submitting this bug and providing the needed information to correct it. I very much appreciate your efforts!

Kyle Huff

sonicuaw@gmail.com (sonicuaw) wrote :

I followed the direct instructions below to update AWN bandwidth monitor.

Your welcome and thank you for making the process painless for me still
being a newbie.

Anthony

On Mon, Mar 15, 2010 at 12:39 PM, Kyle L. Huff <email address hidden>wrote:

> Great, thank you!
>
> If you want to apply the patch, instructions are below; or you can wait
> until it comes through the ppa.
>
> Directions to patch:
>
> cd /tmp
> wget http://launchpadlibrarian.net/40913628/awn-bwm_color_setting_fix.diff
> sudo patch -i /tmp/awn-bwm_color_setting_fix.diff
> /usr/share/avant-window-navigator/applets/bandwidth-monitor/bwmprefs.py
>
> Restart awn, and the color dropper should not cause an invalid/non
> parse-able value to be written to the configuration back-end anymore.
>
> Thanks very much for submitting this bug and providing the needed
> information to correct it. I very much appreciate your efforts!
>
> Kyle Huff
>
> --
> ValueError in Bandwidth Monitor: unable to parse colour specification
> https://bugs.launchpad.net/bugs/534061
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Awn Extras: Fix Committed
>
> Bug description:
> Ubuntu 8.10 - Intrepid Ibex
>
> ------------------------------------------------------------------------------------------
> [Got the install information from 9
> http://www.webupd8.org/2009/10/avant-window-navigator-awn-04-available.html
> )]
>
> sudo bash -c "echo 'deb http://ppa.launchpad.net/awn-testing/ppa/ubuntuubuntu_version main' >> /etc/apt/sources.list"
> sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys BF810CD5
>
> and
>
> sudo apt-get install python-awn-trunk python-awn-extras-trunk
> awn-applets-python-extras-trunk awn-applets-c-extras-trunk
>
> ------------------------------------------------------------------------------------------
> GNOME Desktop: ver: 2.24.1; build date: 10/24/2008
>
> ------------------------------------------------------------------------------------------
> Video card: Radeon Mobility M7 LW [Radeon Mobility 7500]; driver: radeon
> (the one that comes with Ubuntu default install)
>
> ------------------------------------------------------------------------------------------
> Traceback (most recent call last):
> File "/var/lib/python-support/python2.5/awn/extras/awnlib.py", line 1462,
> in init_start
> applet_class(applet)
> File
> "/usr/share/avant-window-navigator/applets/bandwidth-monitor/awn-bwm.py",
> line 297, in __init__
> self.prefs.setup()
> File
> "/usr/share/avant-window-navigator/applets/bandwidth-monitor/bwmprefs.py",
> line 65, in setup
> bgColorbutton.set_color(gtk.gdk.color_parse(bgColor))
> ValueError: unable to parse colour specification
>
>
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/awn-extras/+bug/534061/+subscribe
>

--
Anthony
<email address hidden>

onox (onox) on 2010-04-12
Changed in awn-extras:
milestone: none → 0.4.0
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers